List workspace folder contents
This method returns the contents of a workspace folder, which can include sub-folders and files.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Query parameters
The maximum number of results to return.
Use start_position to specify the number of results to skip.
When true, the response includes file information (in addition to folder information). The default is false.
When true, the response includes information about the sub-folders of the current folder. The default is false.
When true, the response returns thumbnails. The default is false.
When true, the response includes extended details about the user. The default is false.
The zero-based index of the result from which to start returning results.
Use with count to limit the number
of results.
The default value is 0.
If set, the response only includes results associated with the userId that you specify.
Response
The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.